lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date:   Mon, 13 Jun 2022 23:01:55 -0600
From:   Subash Abhinov Kasiviswanathan <quic_subashab@...cinc.com>
To:     <davem@...emloft.net>, <dsahern@...nel.org>,
        <yoshfuji@...ux-ipv6.org>, <kuba@...nel.org>,
        <netdev@...r.kernel.org>, <sbrivio@...hat.com>
CC:     Subash Abhinov Kasiviswanathan <quic_subashab@...cinc.com>,
        "Sean Tranchetti" <quic_stranche@...cinc.com>
Subject: [PATCH net v2 2/2] tools: selftests: Update tests for new IPv6 route MTU behavior

The IPv6 route MTU no longer increases in case the interface MTU is
increased. Update the tests pmtu_ipv6_exception and  pmtu_vti6_exception
to account for this behavior.

Suggested-by: David Ahern <dsahern@...nel.org>
Signed-off-by: Sean Tranchetti <quic_stranche@...cinc.com>
Signed-off-by: Subash Abhinov Kasiviswanathan <quic_subashab@...cinc.com>
---
v2: New patch added to the series

 tools/testing/selftests/net/pmtu.sh | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/tools/testing/selftests/net/pmtu.sh b/tools/testing/selftests/net/pmtu.sh
index 736e358..dac2101 100755
--- a/tools/testing/selftests/net/pmtu.sh
+++ b/tools/testing/selftests/net/pmtu.sh
@@ -1067,11 +1067,15 @@ test_pmtu_ipvX() {
 	pmtu_2="$(route_get_dst_pmtu_from_exception "${ns_a}" ${dst2})"
 	check_pmtu_value "1500" "${pmtu_2}" "changing local MTU on a link not on this path" || return 1
 
-	# Increase MTU, check for PMTU increase in route exception
+	# Increase MTU, check for PMTU increase in route exception for IPv4 only
 	mtu "${ns_a}"  veth_A-R1 1700
 	mtu "${ns_r1}" veth_R1-A 1700
 	pmtu_1="$(route_get_dst_pmtu_from_exception "${ns_a}" ${dst1})"
-	check_pmtu_value "1700" "${pmtu_1}" "increasing local MTU" || return 1
+	if [ ${family} -eq 4 ]; then
+		check_pmtu_value "1700" "${pmtu_1}" "increasing local MTU" || return 1
+	else
+		check_pmtu_value "1300" "${pmtu_1}" "no change in local MTU" || return 1
+	fi
 	# Second exception shouldn't be modified
 	pmtu_2="$(route_get_dst_pmtu_from_exception "${ns_a}" ${dst2})"
 	check_pmtu_value "1500" "${pmtu_2}" "changing local MTU on a link not on this path" || return 1
@@ -1637,10 +1641,10 @@ test_pmtu_vti6_exception() {
 	pmtu="$(route_get_dst_pmtu_from_exception "${ns_a}" ${tunnel6_b_addr})"
 	check_pmtu_value "3000" "${pmtu}" "decreasing tunnel MTU" || fail=1
 
-	# Increase tunnel MTU, check for PMTU increase in route exception
+	# Increase tunnel MTU, confirm no PMTU increase in route exception
 	mtu "${ns_a}" vti6_a 9000
 	pmtu="$(route_get_dst_pmtu_from_exception "${ns_a}" ${tunnel6_b_addr})"
-	check_pmtu_value "9000" "${pmtu}" "increasing tunnel MTU" || fail=1
+	check_pmtu_value "3000" "${pmtu}" "no change in tunnel MTU" || fail=1
 
 	return ${fail}
 }
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ